Skip to main content
GET
/
api
/
platform
/
ecosystems
/
{id}
Get ecosystem
curl --request GET \
  --url https://api-next.dealroom.co/api/platform/ecosystems/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": 123,
    "slug": "<string>",
    "name": "<string>",
    "description": "<string>",
    "long_description": "<string>",
    "filter": "<string>",
    "jobs_filter": "<string>",
    "region": "<string>",
    "image_url": "<string>",
    "geojson_url": "<string>",
    "partner_logos": [
      {
        "name": "<string>",
        "url": "<string>",
        "image_url": "<string>"
      }
    ],
    "primary_color": "<string>",
    "surface_color": "<string>",
    "brand_surface_color": "<string>",
    "anonymous_access": true,
    "currency": "EUR",
    "ga_measurement_id": "G-KQFB2GR3HN",
    "tabs_config": {},
    "is_active": true,
    "sort_order": 123
  }
}

Authorizations

Authorization
string
header
required

OAuth2 client-credentials flow against the Dealroom Auth0 tenant. Use the client_id / client_secret from a Programmatic API key. Tokens are valid for 24h — Swagger UI will reuse the same token across operations.

Path Parameters

id
string
required
Minimum string length: 1
Example:

"1"

Response

Single ecosystem

data
object
required